<div id="billeterie" class="ml-3 mr-3 mb-4">
    <div class="loader" *ngIf="loading">
        <div class="loadingAnimation">
            <spinner></spinner>
            <h2>Chargement ...</h2>
        </div>
    </div>
    <div class="shop" *ngIf="!loading">
        <div class="shopHeader" *ngIf="order.state > 0">
            <div [class.active]="order.state <= 1">
                <fa-icon [icon]="faCartsArrowDown"></fa-icon>
                <br>
                Boutique
            </div>
            <div [class.active]="order.state === 2 || order.state === 3">
                <fa-icon [icon]="faUser"></fa-icon>
                <br>
                Participants
            </div>
            <div [class.active]="order.state === 4">
                <fa-icon [icon]="faWineGlass"></fa-icon>
                <br>
                Options
            </div>
            <div [class.active]="order.state === 5 && optionsquestions" (click)="optionsquestions=true">
                <fa-icon [icon]="faQuestion"></fa-icon>
                <br>
                Questions
            </div>
            <div [class.active]="order.state === 5 && !optionsquestions" (click)="optionsquestions=false">
                <fa-icon [icon]="faCreditCard"></fa-icon>

                <br>
                Paiement
            </div>
        </div>
        <div *ngIf="order.state <= 1" id="category">
            <app-categories [order]="order"></app-categories>
        </div>
        <div *ngIf="order.state === 2 || order.state === 3" id="questions">
            <app-questions [order]="order"></app-questions>
        </div>
        <div *ngIf="order.state === 4" id="options-select">
            <app-options [order]="order"></app-options>
        </div>
        <div *ngIf="order.state === 5 && optionsquestions" id="optionsquestions">
            <app-optionquestions (submitted)="optionsquestionOk()" [order]="order"></app-optionquestions>
        </div>
        <div *ngIf="order.state === 5 && !optionsquestions" id="payment">
            <app-payment [order]="order"></app-payment>
        </div>
    </div>
    <div class="mt-2">
        <a target="_blank" rel="noopener"
           [href]="environment.cgvUrl">
            Conditions Générales de Vente
            <fa-icon [icon]="faExternalLinkAlt"></fa-icon>
        </a>
        (ce lien s'ouvre dans un nouvel onglet)
    </div>
</div>
